#!/bin/sh
(
    firstitem='y';
    printf '[';
    for version in $(ls ../../python/*/sitemap.xml | cut -d/ -f4 | grep -v 'latest' | grep -v 'dev' | sort -V -r)
    do
        if [ "$firstitem" = "y" ]
        then
            firstitem=n
            aliases='["latest"]'
        else
            printf ','
            aliases=''
        fi
        printf '\n  {"version":"%s","title":"%s","aliases":%s}' "$version" "$version" "$aliases"
    done;
    printf '\n]'
) | tee ../../_data/python-versions.json
